Page MenuHomePhabricator

Complete report for Mexico campaign
Closed, ResolvedPublicMar 31 2019

Description

RACI Chart

Task Description
Deliver a report for Mexico awareness campaign.

Acceptance Criteria

  • Analysis of video reach
  • Analysis of impact to traffic
  • Report on change in awareness
  • Recommendation for extension of campaign including required budget (if extension is recommended)

Details

Due Date
Mar 31 2019, 7:00 AM

Event Timeline

atgo created this task.Nov 29 2018, 9:51 PM
atgo updated the task description. (Show Details)
atgo changed Due Date from Mar 31 2018, 7:00 AM to Mar 31 2019, 7:00 AM.Nov 30 2018, 12:29 AM

This task had a deadline 12 months ago. @BFlores, @ZMcCune, @JVargas: If this task has been resolved in the meantime: Please update the task status (via Add Action...Change Status in the dropdown menu). Thanks.

AMuigai closed this task as Resolved.May 5 2020, 5:49 PM
AMuigai claimed this task.
AMuigai added a subscriber: AMuigai.